package utModels

import (
	"time"
)

type CdrRecord struct {
	AccountCode            string    `gorm:"column:accountcode"`
	TimeStamp              time.Time `gorm:"column:calldate"`
	Source                 string    `gorm:"column:src"`
	Destination            string    `gorm:"column:dst"`
	DestinationDescription string    `gorm:"column:direction"`
	BillDuration           int       `gorm:"column:billsec"`
	Cost                   float32   `gorm:"column:cost"`
	CostVAT                float32   `gorm:"column:cost_wnds"`
	Tariff                 float32   `gorm:"column:price"`
	Disposition            string
}
