//go:generate reform --gofmt=false
package utModels

//reform:gyro.fastcall
type Fastcall struct {
	Id                    int    `reform:"id,pk"`
	Extension             string `reform:"name" sql:"unique_index"`
	Value                 string `reform:"value" sql:"size:65535"`
	Model                 string `reform:"model"`
	HasExtensionModules   bool   `reform:"hasexten"`
	ExtensionModulesCount int    `reform:"exten"`
}
