package utModels

//go:generate reform --gofmt=false

import (
	"github.com/xaionaro-go/extime"
)

//reform:gyro.subscriber_config
type SubscriberConfig struct {
	Id                  int         `reform:"id,pk"`
	Sid                 int         `reform:"sid"`
	CreatedAt           extime.Time `reform:"dom"`
	Password            string      `reform:"password"`
	SplitTo             string      `reform:"splitto"`
	AnswerphoneMode     int         `reform:"answerphonemode"`
	AnswerphoneDelay    int         `reform:"answerphonedelay"`
	AnswerphoneRedirNum string      `reform:"answerphoneredirnum"`
	BusyphoneMode       int         `reform:"busyphonemode"`
	BusyphoneRedirNum   string      `reform:"busyphoneredirnum"`
	Manual              bool        `reform:"manual"`
}
