package utModels

import (
	h "github.com/xaionaro-go/handyPointers"
)

type VoipRecord struct {
	SipUser
	Id                       int
	Firstname                string
	Lastname                 string
	AppointmentDescription   string
	Patronymic               *h.String
	Room                     string
	PhotoUri                 string `gorm:"column:photo_uri"`
	SecurityLevel            int    `gorm:"column:security_level"`
	Pos                      int
	Accountcode              string
	OldVoipUnitId            int
	Notes                    string `gorm:"column:note"`
	Remark                   string
	Param                    string
	PinnedTo                 string
	PhoneModelSecondaryField string `gorm:"column:phone_model_secondary"`
	Deny                     *h.String
}
