package utModels

//go:generate reform --gofmt=false

//reform:gyro.price
type PriceRow struct {
	Code        int     `json:",omitempty" reform:"code,pk"     raccess:"security_level=-1024"`
	CodeLength  int     `json:",omitempty" reform:"code_length" raccess:"security_level=-1024" view:"omit"`
	Title       string  `json:",omitempty" reform:"title"       raccess:"security_level=-1024"`
	Zone        string  `json:",omitempty" reform:"sign"        raccess:"security_level=-1024"`
	Price       float32 `json:",omitempty" reform:"price"       raccess:"security_level=0"`
	ContextsStr string  `json:",omitempty" reform:"context"     raccess:"security_level=128"   view:"omit"`
	Class       string  `json:",omitempty" reform:"class"       raccess:"security_level=-1024"`
}

func (priceRow PriceRow) VATPrice() float32 {
	return priceRow.Price * 1.18
}
