package utModels

//go:generate reform --gofmt=false

//reform:gyro.prices
type Prices struct {
	Code        int     `reform:"code"`
	Price       float32 `reform:"price"`
	Operator    string  `reform:"operator"`
	Channel     string  `reform:"channel"`
	Channumpref *string `reform:"channumpref"`
	Protocol    string  `reform:"proto"`
	Context     string  `reform:"context"`
	IsLocked    bool    `reform:"is_lock"`
	Class       string  `reform:"class"`
	Codelength  *string `reform:"codelength"`
	Description *string `reform:"description"`
}

func (p *Prices) ChannumprefSafe() string {
	if p.Channumpref == nil {
		return ""
	}
	return *p.Channumpref
}
