package utModels

//go:generate reform --gofmt=false

//reform:gyro.sip_users
type SipUser struct {
	Id               int     `reform:"id,pk"`
	AccountCode      string  `reform:"accountcode"`
	Extension        string  `reform:"name"`
	Secret           string  `reform:"secret"`
	Context          string  `reform:"context"`
	CidNumber        *string `reform:"cid_number"`
	PhoneMac         *string `reform:"mac"`
	PhoneModel       string  `reform:"model"`
	CallerId         string  `reform:"callerid"`
	Deny             *string `reform:"deny"`
	LineNumber       int     `reform:"line_num"`
	PrimaryExtension *string `reform:"parent_name"`
	AdminPassword    string  `reform:"adminpassword"`
	VoiceVlan        *int    `reform:"voicevlan"`
	//BindTo           *int    `reform:"bindto"`
}
