package utModels

//go:generate reform --gofmt=false

import (
	"github.com/xaionaro-go/extime"
)

//reform:gyro.waiting_chats
type WaitingChat struct {
	Id              int         `reform:"id,pk"`
	CreatedAt       extime.Time `reform:"created_at"`
	LastMessageDate extime.Time `reform:"last_message_date"`
	Sender          string      `reform:"sender"`
	Recipient       string      `reform:"recipient"`
	MessagesCount   int         `reform:"messages_count"`
}

type WaitingChats []WaitingChat
